virtio-mem-pci: force virtio version 1
authorDavid Hildenbrand <david@redhat.com>
Mon, 27 Jul 2020 11:59:05 +0000 (13:59 +0200)
committerMichael S. Tsirkin <mst@redhat.com>
Mon, 27 Jul 2020 13:38:33 +0000 (09:38 -0400)
commitc22aba196341995f2e45c37eed36cc7be09e4bc3
tree8f49854f6ce555a9cad549f96fc6e961f136741d
parent4215d3413272ad6d1c6c9d0234450b602e46a74c
virtio-mem-pci: force virtio version 1

Trying to run simple virtio-mem-pci examples currently fails with
    qemu-system-x86_64: -device virtio-mem-pci,id=vm0,memdev=mem0,node=0,
    requested-size=300M: device is modern-only, use disable-legacy=on
due to the added safety checks in 9b3a35ec8236 ("virtio: verify that legacy
support is not accidentally on").

As noted by Conny, we have to force virtio version 1. While at it, use
qdev_realize() to set the parent bus and realize - like most other
virtio-*-pci implementations.

Fixes: 0b9a2443a48b ("virtio-pci: Proxy for virtio-mem")
Reviewed-by: Cornelia Huck <cohuck@redhat.com>
Cc: Cornelia Huck <cohuck@redhat.com>
Cc: "Michael S. Tsirkin" <mst@redhat.com>
Signed-off-by: David Hildenbrand <david@redhat.com>
Message-Id: <20200727115905.129397-1-david@redhat.com>
Cc: qemu-stable@nongnu.org
Reviewed-by: Michael S. Tsirkin <mst@redhat.com>
Signed-off-by: Michael S. Tsirkin <mst@redhat.com>
hw/virtio/virtio-mem-pci.c